logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

QueryForbidCDNLiveStream

GET

https://rtc-api.zego.im/

Call this API to query the list of URLs that are forbidden from publishing streams to the CDN.

Warning

For first-time use of this API, please contact ZEGOCLOUD Technical Support for configuration.

Rate Limit
For all rooms under the same AppID: 20 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [QueryForbidCDNLiveStream]

    API prototype parameters

    https://rtc-api.zego.im?Action=QueryForbidCDNLiveStream

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    Vendor stringrequired

    CDN provider, ws: WangSu.

Responses

Success
Schema
    Code number

    Return code. The following only lists some return codes related to the API business logic. For the complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request succeeded.-
    1Request failed.-
    2Parameter error.-
    3Authentication failed.Please check if the authentication parameters are correct.
    Message string

    Operation result description

    RequestId string

    Request ID

    Data object
    Response data
    Ws object
    Query results returned by WangSu
    ResultDetail object[]
    Collection of query results
  • Array[
  • Channel string

    Acceleration domain name

    Url string

    The complete URL of the CDN live address that is forbidden from publishing streams, for example, rtmp://publish-ws.zegotech.cn/test/Stream ID

    StartTime string

    The time when stream publishing forbidding starts, UTC time

    EndTime string

    The time when stream publishing resumes, UTC time

    Ip stringdeprecated

    User IP forbidden from watching live streams (deprecated)

  • ]

Previous

ForbidCDNLiveStream

Next

ResumeCDNLiveStream

On this page

Back to top